
#ifndef _EP93XX_I2S_H
#define _EP93XX_I2S_H

#define EP93XX_I2S_TXCLKCFG		(EP93XX_I2S_BASE + 0x00) 
#define EP93XX_I2S_RXCLKCFG		(EP93XX_I2S_BASE + 0x04) 
#define EP93XX_I2S_GLSTS		(EP93XX_I2S_BASE + 0x08) 
#define EP93XX_I2S_GLCTRL		(EP93XX_I2S_BASE + 0x0C) 

#define EP93XX_I2S_TX0LFT		(EP93XX_I2S_BASE + 0x10) 
#define EP93XX_I2S_TX0RT		(EP93XX_I2S_BASE + 0x14) 
#define EP93XX_I2S_TX1LFT		(EP93XX_I2S_BASE + 0x18)
#define EP93XX_I2S_TX1RT		(EP93XX_I2S_BASE + 0x1C) 
#define EP93XX_I2S_TX2LFT		(EP93XX_I2S_BASE + 0x20)
#define EP93XX_I2S_TX2RT		(EP93XX_I2S_BASE + 0x24) 
#define EP93XX_I2S_TXLINCTRLDATA	(EP93XX_I2S_BASE + 0x28)
#define EP93XX_I2S_TXCTRL		(EP93XX_I2S_BASE + 0x2C)
#define EP93XX_I2S_TXWRDLEN		(EP93XX_I2S_BASE + 0x30)
#define EP93XX_I2S_TX0EN		(EP93XX_I2S_BASE + 0x34)
#define EP93XX_I2S_TX1EN		(EP93XX_I2S_BASE + 0x38)
#define EP93XX_I2S_TX2EN		(EP93XX_I2S_BASE + 0x3C)

#define EP93XX_I2S_RX0LFT		(EP93XX_I2S_BASE + 0x40) 
#define EP93XX_I2S_RX0RT		(EP93XX_I2S_BASE + 0x44) 
#define EP93XX_I2S_RX1LFT		(EP93XX_I2S_BASE + 0x48) 
#define EP93XX_I2S_RX1RT		(EP93XX_I2S_BASE + 0x4C) 
#define EP93XX_I2S_RX2LFT		(EP93XX_I2S_BASE + 0x50) 
#define EP93XX_I2S_RX2RT		(EP93XX_I2S_BASE + 0x54) 

#define EP93XX_I2S_RXLINCTRLDATA	(EP93XX_I2S_BASE + 0x58) 
#define EP93XX_I2S_RXCTRL		(EP93XX_I2S_BASE + 0x5C) 
#define EP93XX_I2S_RXWRDLEN		(EP93XX_I2S_BASE + 0x60) 
#define EP93XX_I2S_RX0EN		(EP93XX_I2S_BASE + 0x64) 
#define EP93XX_I2S_RX1EN		(EP93XX_I2S_BASE + 0x68) 
#define EP93XX_I2S_RX2EN		(EP93XX_I2S_BASE + 0x6C)

#define EP93XX_I2S_WRDLEN_16		0x0
#define EP93XX_I2S_WRDLEN_24		0x1
#define EP93XX_I2S_WRDLEN_32		0x2

#define EP93XX_I2S_LINCTRLDATA_L_JUST	(0 << 1)
#define EP93XX_I2S_LINCTRLDATA_R_JUST	(1 << 1)

#define EP93XX_I2S_CLKCFG_TREL		(1 << 2)
#define EP93XX_I2S_CLKCFG_MASTER	(1 << 3)
#define EP93XX_I2S_CLKCFG_NBCG		(1 << 4)

extern struct snd_soc_dai ep93xx_i2s_dai;

#endif /* _EP93XX_I2S_H */
